Summary:	PNG to ICO converter
Summary(pl.UTF-8):	Konwerter PNG do ICO
Name:		pngtoico
Version:	1.0.1
Release:	5
License:	GPL
Group:		Applications/Graphics
Source0:	ftp://ftp.kernel.org/pub/software/graphics/pngtoico/%{name}-%{version}.tar.bz2
# Source0-md5:	991dfa42783f9b798051c04dccc7f36f
Patch0:		%{name}-libpng15.patch
BuildRequires:	libpng-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pngtoico is a small utility to convert a set of PNG images to
Microsoft ICO format. Transparency is supported.

%description -l pl.UTF-8
pngtoico to małe narzędzie do konwertowania zestawu obrazków PNG do
formatu Microsoft ICO. Obsługuje przezroczystość.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install pngtoico $RPM_BUILD_ROOT%{_bindir}
install pngtoico.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pngtoico
%{_mandir}/man1/pngtoico.1*
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pngtoico.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f838b2e
- release 5 (by relup.sh)

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 7040bec
- new

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 3dcb78c
- relase 4 (rebuild against libpng-1.5)

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ad0c0b9
- release 3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3ba6497
- dropped pre-cvs changelog

* Thu Feb 04 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 3f4d0dd
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3b4ba0a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3cf6fb3
- converted to UTF-8

* Sat Mar 11 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 213f136
- updated to 1.0.1

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> a5bf9a3
- release 3 for Ac (2 is for Ra)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2712852
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 41429b8
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Sep 16 2002 Jakub Bogusz <qboosh@pld-linux.org> ffce9d6
- pl description, release 2

* Sat Sep 07 2002 kloczek <kloczek@pld-linux.org> f4e187f
- rewrited.

* Fri Sep 06 2002 Arkadiusz Miśkiewicz <arekm@maven.pl> b4f437f
- raw

